import importlib
import FreeCADGui as Gui
import os
import sys

from .. import settings
from ..project import Project

class EditPrefs:
    def GetResources(self):
        tooltip  = '<p>EditPrefs KiConnect Workbench for development.\nNOTE: Does not reload toolbars.</p>'
        iconFile = 'preferences-system.svg'

        return {
            'MenuText': 'Edit Preferences',
            'ToolTip': tooltip,
            'Pixmap' : iconFile
        }

    def Activated(self):
        Gui.showPreferences("KiConnect")


Gui.addCommand('cmd_edit_prefs', EditPrefs())
